Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class SaveBinding

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.UpdateRequest
              weblogic.uddi.client.structures.request.SaveBinding

    public class SaveBinding

extends UpdateRequest

save_binding message is used to save or update binding template structures.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`SaveBinding()` Class Constructor

Method Summary
`void` | `addBindingTemplate(BindingTemplate bindingTemplate)` Add a new BindingTemplate to the current set of BindingTemplates
`Vector` | `getBindingTemplateVector()` Gets the current set of BindingTemplate
`void` | `setBindingTemplateVector(Vector vector)` Sets a new set of BindingTemplate

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveBinding

    public SaveBinding()

  Class Constructor

Method Detail

### addBindingTemplate

    public void addBindingTemplate(BindingTemplate bindingTemplate)

  Add a new BindingTemplate to the current set of BindingTemplates

  Parameters:
    `bindingTemplate` - New BindingTemplate

### setBindingTemplateVector

    public void setBindingTemplateVector(Vector vector)

  Sets a new set of BindingTemplate

  Parameters:
    `vector` - New set of BindingTemplate

### getBindingTemplateVector

    public Vector getBindingTemplateVector()

  Gets the current set of BindingTemplate

  Returns:
    Current set of BindingTemplate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD